Loading...
Searching...
No Matches
Magick::DrawableClipRule Class Reference
Inheritance diagram for Magick::DrawableClipRule:

## Public Member Functions

| DrawableClipRule (const FillRule fillRule_)
void | operator() (MagickCore::DrawingWand *context_) const
void | fillRule (const FillRule fillRule_)
FillRule | fillRule (void) const
DrawableBase * | copy () const

## Private Attributes

FillRule | _fillRule

## Detailed Description

Definition at line 493 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableClipRule()

Magick::DrawableClipRule::DrawableClipRule | ( | const FillRule | fillRule_ | ) |

Definition at line 327 of file Drawable.cpp.

{
_fillRule=fillRule_;
}

## ~DrawableClipRule()

Magick::DrawableClipRule::~DrawableClipRule | ( | void |  | ) |

Definition at line 332 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableClipRule::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 352 of file Drawable.cpp.

{
return(new DrawableClipRule(*this));
}

## fillRule() [1/2]

void Magick::DrawableClipRule::fillRule | ( | const FillRule | fillRule_ | ) |

Definition at line 342 of file Drawable.cpp.

{
_fillRule=fillRule_;
}

## fillRule() [2/2]

Magick::FillRule Magick::DrawableClipRule::fillRule | ( | void |  | ) | const

Definition at line 347 of file Drawable.cpp.

{
return(_fillRule);
}

## operator()()

void Magick::DrawableClipRule::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 336 of file Drawable.cpp.

{
DrawSetClipRule(context_,_fillRule);
}

## Field Documentation

## _fillRule

FillRule Magick::DrawableClipRule::_fillRule

private

Definition at line 511 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp